Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class Global

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.Global

public class Global
extends ESBase

Implementation class for the global prototype

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Method Summary
`void` | `addScript(java.lang.String name, Script script)` Sets a running script.
`ESObject` | `createObject()`
`Path` | `getClassDir()`
`java.lang.ClassLoader` | `getClassLoader()`
`static Global` | `getGlobalProto()` Returns the global prototype for the current thread.
`java.lang.ClassLoader` | `getParentLoader()`
`ESBase` | `getProperty(ESString id)`
`Path` | `getScriptPath()`
`void` | `importScript(ESObject global, java.lang.String name)`
`void` | `setGlobal(ESGlobal global)`
`java.lang.Object` | `toJavaObject()`
`static ESBase` | `wrap(java.lang.Object object)`

Methods inherited from class com.caucho.es.ESBase
`call, call, construct, delete, ecmaEquals, getJavaType, getProperty, greaterThan, hasProperty, isBoolean, isNum, isString, keys, lessThan, plus, setProperty, setProperty, setProperty, toBoolean, toInt32, toJavaString, toNum, toObject, toPrimitive, toPrimitive, toSource, toStr, toString, typeof, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getProperty

    public ESBase getProperty(ESString id)
                       throws java.lang.Exception

  Overrides:
    `getProperty` in class `ESBase`

### addScript

    public void addScript(java.lang.String name,
                          Script script)

  Sets a running script.
  Parameters:
    `name` - classname of the script.
    `script` - the script itself.

### getGlobalProto

    public static Global getGlobalProto()

  Returns the global prototype for the current thread.

### wrap

    public static ESBase wrap(java.lang.Object object)
                       throws java.lang.Exception

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getParentLoader

    public java.lang.ClassLoader getParentLoader()

### getClassDir

    public Path getClassDir()

### getScriptPath

    public Path getScriptPath()

### importScript

    public void importScript(ESObject global,
                             java.lang.String name)
                      throws java.lang.Exception

### setGlobal

    public void setGlobal(ESGlobal global)

### toJavaObject

    public java.lang.Object toJavaObject()
                                  throws ESException

  Overrides:
    `toJavaObject` in class `ESBase`

### createObject

    public ESObject createObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD